network-manager (1.56.1-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/NetworkManager.conf: disable MAC randomization feature
    - d/patches: Provide access to some of NM's interfaces to whoopsie
    - d/patches: Update dnsmasq parameters
    - d/p/netplan: Add libnetplan backend integration patches
    - d/p/n/keyfile-update-test-for-expected-netplan-output.patch: Fix FTBFS on i386 (LP #2098902)
    - debian/tests: add several new tests
      + nm-eth.py
      + wpa-dhcp.py
      + nm-wifi.py
      + killswitches-no-urfkill
      + urfkill-integration
      + nm-netplan.py
    - d/control,d/rules: Prepare libnetplan build
      + Add libyaml dependency, which is needed for netplan
    - debian/rules: Run build tests
    - debian/rules: enable LTO
    - d/control: Recommends: network-manager-pptp
    - d/control: Suggests: avahi-autoipd
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - d/control: point Vcs-Git fields to Launchpad
    - debian/network-manager.postinst: Trigger Netplan migrate on install/upgrade
    - d/network-manager.install,d/10-globally-unmanaged-devices.conf:
      Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - d/network-manager.install,d/default-wifi-powersave-on.conf:
      Install a config file to enable WiFi powersave
    - d/source_network-manager.py,d/network-manager.links: Add apport hooks
    - d/network-manager.preinst: backup previous configuration automatically
    - d/gbp.conf: update for Ubuntu branches
    - d/patches: fix nmcli that could not report 6ghz wifi channels correctly
      (LP #2116940)
    - Use iptables instead of nftables as firewall backend, to match UFW (LP #2128668)
    - Add deps on gir1.2-girepository-2.0, gir1.2-girepository-2.0-dev
      Fixes FTBFS
    - d/p/core-add-handlers-for-SaePasswordMismatch-signal.patch:
      Show incorrect password re-entry prompt for WPA3 networks (LP #2122458)
    - d/t/Makefile: Keep makefile for rfkill DEP-8 tests
    - d/p/netplan/: call netplan with --networkmanager-only option (LP #2133724)
    - d/control: suggest iptables before nftables
      This reflects Ubuntu's firewall-backend = iptables configuration.
    - d/p/lp2126573-n-dhcp4-do-not-set-ciaddr-in-discover-state.patch:
      do not set ciaddr in DISCOVER state (LP #2126573)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jun 2026 22:40:48 +0200

network-manager (1.56.1-1) unstable; urgency=medium

  * New upstream version 1.56.1
  * Bump Standards-Version to 4.7.4
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 14 May 2026 22:14:33 +0200

network-manager (1.56.0-7ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/NetworkManager.conf: disable MAC randomization feature
    - d/patches: Provide access to some of NM's interfaces to whoopsie
    - d/patches: Update dnsmasq parameters
    - d/p/netplan: Add libnetplan backend integration patches
    - d/p/n/keyfile-update-test-for-expected-netplan-output.patch: Fix FTBFS on i386 (LP #2098902)
    - debian/tests: add several new tests
      + nm-eth.py
      + wpa-dhcp.py
      + nm-wifi.py
      + killswitches-no-urfkill
      + urfkill-integration
      + nm-netplan.py
    - d/control,d/rules: Prepare libnetplan build
      + Add libyaml dependency, which is needed for netplan
    - debian/rules: Run build tests
    - debian/rules: enable LTO
    - d/control: Recommends: network-manager-pptp
    - d/control: Suggests: avahi-autoipd
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - d/control: point Vcs-Git fields to Launchpad
    - debian/network-manager.postinst: Trigger Netplan migrate on install/upgrade
    - d/network-manager.install,d/10-globally-unmanaged-devices.conf:
      Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - d/network-manager.install,d/default-wifi-powersave-on.conf:
      Install a config file to enable WiFi powersave
    - d/source_network-manager.py,d/network-manager.links: Add apport hooks
    - d/network-manager.preinst: backup previous configuration automatically
    - d/gbp.conf: update for Ubuntu branches
    - d/patches: fix nmcli that could not report 6ghz wifi channels correctly
      (LP #2116940)
    - Use iptables instead of nftables as firewall backend, to match UFW (LP #2128668)
    - Add deps on gir1.2-girepository-2.0, gir1.2-girepository-2.0-dev
      Fixes FTBFS
    - d/p/core-add-handlers-for-SaePasswordMismatch-signal.patch:
      Show incorrect password re-entry prompt for WPA3 networks (LP #2122458)
    - d/t/Makefile: Keep makefile for rfkill DEP-8 tests
    - d/p/netplan/: call netplan with --networkmanager-only option (LP #2133724)
    - d/control: suggest iptables before nftables
      This reflects Ubuntu's firewall-backend = iptables configuration.
    - d/p/lp2126573-n-dhcp4-do-not-set-ciaddr-in-discover-state.patch:
      do not set ciaddr in DISCOVER state (LP #2126573)
  * Dropped changes:
    - d/patches: unblock autoreconnect when a previously failed connection is now successful
      (LP #2127925)
    - d/p/core-add-handlers-for-PskMismatch-signal.patch:
      Show incorrect password re-entry prompt for WPA3 networks (LP #2122458)
    - d/p/lp2126573-n-dhcp4-do-not-set-ciaddr-in-discover-state.patch:
      do not set ciaddr in DISCOVER state (LP #2126573)

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 04 May 2026 08:58:09 -0500

network-manager (1.56.0-7) unstable; urgency=medium

  * Fix typo in changelog wrt OVS availability on 64 bit architectures
  * Bump network-manager-tui to Recommends.
    This way it will be installed automatically on upgrades for default
    installations in forky. In later releases the dependency will be demoted
    to a Suggests again.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 May 2026 22:56:13 +0200

network-manager (1.56.0-6) unstable; urgency=medium

  * Rework package description for network-manager-tui.
    Explicitly mention nmtui in the long description.
    See #1132248
  * Downgrade openvswitch-switch Depends to Recommends.
    The openvswitch-switch package is only available on 64 bit
    architectures, so a hard Depends prevents testing migration.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Apr 2026 18:55:21 +0200

network-manager (1.56.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Mar 2026 22:06:18 +0100

network-manager (1.56.0-4) experimental; urgency=medium

  * Split off nmtui into network-manager-tui.
    To further reduce shlibs dependencies of the main network-manager (i.e.
    getting rid of libnewt) and to reduce the on-disk footprint, split off
    the nmtui binary into a separate package named network-manager-tui.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Mar 2026 19:49:02 +0100

network-manager (1.56.0-3) experimental; urgency=medium

  [ Luca Boccassi ]
  * Install and use sysusers.d config file
    sysusers.d config files allow a package to use declarative configuration
    instead of manually written maintainer scripts.
    This also allows image-based systems to be created with /usr/ only, and
    also allows for factory resetting a system and recreating /etc/ on boot.
    https://www.freedesktop.org/software/systemd/man/latest/sysusers.d.html

  [ Michael Biebl ]
  * Tweak package description and dependencies for network-manager-ovs
  * Split off support for team devices.
    Support for team devices is a rarely used feature.
    Ship it in a separate package named network-manager-team.
    This reduces the dependency chain of the main network-manager package
    (removes libjansson and libteamdctl) and also reduces the runtime
    footprint.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Mar 2026 17:36:26 +0100

network-manager (1.56.0-2) experimental; urgency=medium

  * Enable Open vSwitch (OVS) support.
    This includes a drop-in config for NetworkManager.service which changes
    its ordering. So ship the plugin in a separate package named
    network-manager-ovs. (Closes: #1127478)
  * Build-Depend on libselinux-dev instead of libselinux1-dev.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=966687

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Feb 2026 15:05:52 +0100

network-manager (1.56.0-1) experimental; urgency=medium

  * New upstream version 1.56.0
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Feb 2026 00:53:01 +0100

network-manager (1.54.3-2ubuntu3) resolute; urgency=medium

  * Fix Connectivity-check.ubuntu.com URI, thanks to Davide for the help

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Apr 2026 22:33:50 +0200

network-manager (1.54.3-2ubuntu2) resolute; urgency=medium

  * d/p/lp2126573-n-dhcp4-do-not-set-ciaddr-in-discover-state.patch:
    do not set ciaddr in DISCOVER state (LP: #2126573)

 -- Guilherme Puida Moreira <guilherme.moreira@canonical.com>  Thu, 19 Mar 2026 11:56:14 -0300

network-manager (1.54.3-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2143150). Remaining changes:
    - d/NetworkManager.conf: disable MAC randomization feature
    - d/patches: Provide access to some of NM's interfaces to whoopsie
    - d/patches: Update dnsmasq parameters
    - d/p/netplan: Add libnetplan backend integration patches
    - d/p/n/keyfile-update-test-for-expected-netplan-output.patch: Fix FTBFS on i386 (LP #2098902)
    - debian/tests: add several new tests
      + nm-eth.py
      + wpa-dhcp.py
      + nm-wifi.py
      + killswitches-no-urfkill
      + urfkill-integration
      + nm-netplan.py
    - d/control,d/rules: Prepare libnetplan build
      + Add libyaml dependency, which is needed for netplan
    - debian/rules: Run build tests
    - debian/rules: enable LTO
    - d/control: Recommends: network-manager-pptp
    - d/control: Suggests: avahi-autoipd
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - d/control: point Vcs-Git fields to Launchpad
    - debian/network-manager.postinst: Trigger Netplan migrate on install/upgrade
    - d/network-manager.install,d/10-globally-unmanaged-devices.conf:
      Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - d/network-manager.install,d/default-wifi-powersave-on.conf:
      Install a config file to enable WiFi powersave
    - d/source_network-manager.py,d/network-manager.links: Add apport hooks
    - d/network-manager.preinst: backup previous configuration automatically
    - d/gbp.conf: update for Ubuntu branches
    - d/patches: fix nmcli that could not report 6ghz wifi channels correctly
      (LP #2116940)
    - d/patches: unblock autoreconnect when a previously failed connection is now successful
      (LP #2127925)
    - Use iptables instead of nftables as firewall backend, to match UFW (LP #2128668)
    - Add deps on gir1.2-girepository-2.0, gir1.2-girepository-2.0-dev
      Fixes FTBFS
    - d/p/core-add-handlers-for-{PskMismatch,SaePasswordMismatch}-signal.patch:
      Show incorrect password re-entry prompt for WPA3 networks (LP #2122458)
    - d/t/Makefile: Keep makefile for rfkill DEP-8 tests
    - d/p/netplan/: call netplan with --networkmanager-only option (LP #2133724)
  * Dropped changes, no longer needed:
    - d/rules: Keep ofono disabled
      [ Delta created by mistake]
    - debian/network-manager.postinst: Don't install sysvinit scripts or migrate from sysvinit
      [ systemd has been the default for a while ]
    - debian/network-manager.postinst: Don't add the netdev group.
      [ Unnecessary, other packages add netdev group too ]
    - d/network-manager.install, d/10-dns-resolved.conf: Use systemd-resolved instead of dnsmasq
      [ /etc/resolv.conf symlink has pointed to stub-resolv.conf for a while ]
  * New changes:
    - d/control: suggest iptables before nftables
      This reflects Ubuntu's firewall-backend = iptables configuration.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 03 Mar 2026 15:30:20 -0500

network-manager (1.54.3-2) unstable; urgency=medium

  [ Max Nikulin ]
  * Add nftables to as a preferred alternative to iptables

  [ Michael Biebl ]
  * Do not ship initrd specific services.
    Those systemd services are meant for the initrd but are not actually
    used by dracut (yet). They conflict with the main services and can lead
    to potentially confusing error messages. So remove them for now.
    (Closes: #1117732)
  * Drop redundant Priority and Rules-Requires-Root field
  * Bump Standards-Version to 4.7.3
  * Drop no longer needed migration code from pre-oldstable

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Feb 2026 12:02:29 +0100

network-manager (1.54.3-1) unstable; urgency=medium

  * New upstream version 1.54.3
    - Avoid that non-admin users can use other users'
      certificates. (CVE-2025-9615)
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Dec 2025 14:36:27 +0100

network-manager (1.54.2-3) unstable; urgency=medium

  * Drop Build-Depends on polkitd.
    The polkit.its gettext extension, which is required during build, was
    moved from polkitd to libpolkit-gobject-1-dev.
    There is already a Build-Depends on the latter, so polkitd can be
    dropped safely.
  * Replace dbus Build-Depends with dbus-daemon.
    The test-suite that is run as part of dh_auto_test only needs
    dbus-run-session, which is part of the dbus-daemon package.
    Replace dbus with dbus-daemon, as it has a smaller dependency tree and
    doesn't interfere with alternatives like dbus-broker. (Closes: #1122686)

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Dec 2025 13:45:04 +0100

network-manager (1.54.2-2ubuntu2) resolute; urgency=medium

  * d/p/netplan/: call netplan with --networkmanager-only option (LP: #2133724)
    This is to avoid re-generating systemd-networkd configuration with invalid
    permissions.
  * d/control: Bump dependency to Netplan v1.2

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 16 Dec 2025 13:29:18 +0100

network-manager (1.54.2-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2130120):
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/p/netplan: Add libnetplan backend integration patch
    - Fix FTBFS on i386 (LP #2098902)
      + d/p/n/keyfile-update-test-for-expected-netplan-output.patch
    - d/t/control: Add additional autopkgtests.
      + d/t/{base_wifi.py,nm-wifi.py}
      + d/t/nm-netplan.py
      + d/t/wpa-dhcp.py
      + d/t/{Makefile,fake-rfkill.c,killswitches-no-urfkill,urfkill-integration}
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set -Db_lto=true. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - Update Vcs links to point to Ubuntu branch
    - d/p/lp2116940-wifi-fix-6ghz-channels.patch
      + Fix nmcli that could not report 6ghz wifi channels correctly
    - d/p/lp2127925-fix-autoreconnect-blocker.patch
      + unblock autoreconnect when a previously failed connection is successful
    - d/10-default-firewall-use-iptables.conf
      + Use iptables instead of nftables as firewall backend, to match UFW
    - d/control: Build dep on gir1.2-girepository-2.0-dev, fixes FTBFS
  * Dropped changes:
    - d/p/lp2121546-fix-encoding-in-tests.patch [not needed anymore]
    - d/t/prep-testbed.sh [not needed anymore]
  * New changes:
    - d/p/core-add-handlers-for-*.patch
      + Show incorrect password re-entry prompt for WPA3 networks (LP: #2122458)
    - d/rules: Keep ofono disabled

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Thu, 04 Dec 2025 17:25:17 -0600

network-manager (1.54.2-2) unstable; urgency=medium

  * Fix dhcpcd build option.
    The intended build option "false" did not actually disable it as
    expected, so use "no" instead.
    Thanks to John Scott (Closes: #1121101)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Nov 2025 18:31:01 +0100

network-manager (1.54.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.54.2
  * Rebase patches
  * Update symbols file for libnm0

  [ Jeremy Bícha ]
  * Remove unnecessary Build-Depends: gir1.2-girepository-2.0.
    NetworkManager does not explicitly import GIRepository since 1.54.0.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Nov 2025 21:46:05 +0100

network-manager (1.54.1-1) unstable; urgency=medium

  * New upstream version 1.54.1
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Sep 2025 20:06:06 +0200

network-manager (1.54.0-4) unstable; urgency=medium

  * Rename debian-branch to debian/latest as per DEP-14

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 21:35:54 +0200

network-manager (1.54.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Aug 2025 23:01:53 +0200

network-manager (1.54.0-2) experimental; urgency=medium

  * Increase test timeouts by a factor of two.
    This should help slower architectures like hppa. (Closes: #1075915)

 -- Michael Biebl <biebl@debian.org>  Tue, 05 Aug 2025 12:59:46 +0200

network-manager (1.54.0-1) experimental; urgency=medium

  * New upstream version 1.54.0
  * Rebase patches
  * Disable NBFT support in the initrd generator.
    The nm-initrd-generator is not really hooked up in Debian and enabling
    NBFT support would drap in additional dependencies like NVME.
    So disable support for this feature until there is actual demand for it.
  * Update symbols file for libm0

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Aug 2025 14:58:52 +0200

network-manager (1.52.1-1) unstable; urgency=medium

  * New upstream version 1.52.1
  * Explicitly specify the path for ip6tables

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Jul 2025 12:21:02 +0200

network-manager (1.52.0-6) unstable; urgency=medium

  [ Lukas Märdian ]
  * d/tests: Add initial autopkgtests
  * d/t/base.py: Install backup mgmt network in /run/systemd/network/
  * d/t/base.py: Overmount /run/network/ to isolate tests from ifupdown & ifstate
  * d/t/base.py: decrease huge nm-online timeouts

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Mar 2025 18:33:40 +0100

network-manager (1.52.0-5) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * Enable support for ofono

  [ Michael Biebl ]
  * Stop setting the build system explicitly.
    It is no longer necessary as upstream has removed the build system based
    on autotools and only supports the Meson based one.
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Mar 2025 20:39:47 +0100

network-manager (1.52.0-4) unstable; urgency=medium

  * No change source-only upload

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Mar 2025 21:11:39 +0100

network-manager (1.52.0-3) unstable; urgency=medium

  * Split translations into a separate package named network-manager-l10n.
    The translations make up more than 50% of the disk footprint.
    To make network-manager more suitable for minimal environments, split
    the translations into a separate package named network-manager-l10n and
    make network-manager recommend this new package. This means that
    translations will still be installed by default but they can be omitted
    if desired.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Mar 2025 16:51:47 +0100

network-manager (1.52.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Mar 2025 22:34:37 +0100

network-manager (1.52.0-1ubuntu6) resolute; urgency=medium

  * d/control
    - Build dep on gir1.2-girepository-2.0-dev, fixes FTBFS

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 18 Nov 2025 09:47:14 -0500

network-manager (1.52.0-1ubuntu5) resolute; urgency=medium

  * Use iptables instead of nftables as firewall backend, to match UFW
    (LP: #2128668)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 27 Oct 2025 14:11:40 -0500

network-manager (1.52.0-1ubuntu4) resolute; urgency=medium

  * d/p/lp2127925-fix-autoreconnect-blocker.patch: unblock autoreconnect when a previously failed
    connection is now successful (LP: #2127925)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Thu, 16 Oct 2025 09:10:11 +0200

network-manager (1.52.0-1ubuntu3) questing; urgency=medium

  * Fix the .expected file in build-time tests, because its encoding
    became wrong on >= 25.10 (LP: #2121546)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Wed, 27 Aug 2025 19:18:34 +0200

network-manager (1.52.0-1ubuntu2) questing; urgency=medium

  * fix nmcli that could not report 6ghz wifi channels correctly (LP: #2116940)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Tue, 15 Jul 2025 15:07:58 +0200

network-manager (1.52.0-1ubuntu1) plucky; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

  [ Lukas Märdian ]
  * Fix FTBFS on i386 (LP: #2098902)
    - d/p/n/keyfile-update-test-for-expected-netplan-output.patch
  * d/t/network_test_base.py: split into base.py and base_wifi.py for veth/wifi
  * d/t/{control,nm-eth.py}: Isolate containerized nm-eth.py tests
  * d/tests: Rename nm.py -> nm-wifi.py, nm_netplan.py -> nm-netplan.py
  * d/t/control,{nm-wifi,nm-netplan,wpa-dhcp}.py: Utilize new classes, clean up
    Trimming non-wifi code from nm.py (it was moved to nm-eth.py)
  * d/t/control: Skip WiFi tests on containers

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 12:49:02 -0500

network-manager (1.52.0-1) experimental; urgency=medium

  * New upstream version 1.52.0
  * Rebase patches
  * Bump 1.51.90 symbol versions to 1.52.0 for the final release

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Feb 2025 18:58:44 +0100

network-manager (1.51.90-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade
  * Add simple patch to update test for our netplan backend

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 15:16:39 -0500

network-manager (1.51.90-1) experimental; urgency=medium

  * New upstream version 1.51.90 (1.52 rc1)
  * Drop obsolete build option
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Feb 2025 14:39:07 +0100

network-manager (1.50.3-1) unstable; urgency=medium

  * New upstream version 1.50.3
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Feb 2025 22:46:25 +0100

network-manager (1.50.2-1) unstable; urgency=medium

  * New upstream version 1.50.2

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Jan 2025 19:14:11 +0100

network-manager (1.50.1-1) unstable; urgency=medium

  * New upstream version 1.50.1
  * Update debian/watch.
    Switch to new download location at gitlab.freedesktop.org.
    Use tarballs without pre-generated documentation. We rebuild them
    anyway. (Closes: #1091414)
  * Rebase patches
  * Drop now unused lintian override for source-is-missing.
    As we no longer use a tarball with pre-generated documentation, this
    (false) lintian warning no longer triggers.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Dec 2024 21:01:45 +0100

network-manager (1.50.0-1ubuntu3) plucky; urgency=medium

  * d/t/control: Add polkitd test-dependency for urfkill-integration
  * d/t/nm.py: Use non-deprecated deactivate_connection_async
  * d/t/nm.py: Log proper addCleanup 'FAIL' message
  * d/t/nm.py: Drop deprecated dhclient hack
  * d/t/{network_test_base,nm}.py: Use sd-networkd for mgmt network
  * d/t/nm_netplan: Fix YAMl file permissions
  * d/t/control: rename d/t/wpa-dhcp.py
  * d/t/wpa-dhcp.py: Use dhcpcd-base instead of deprecated dhclient
  * d/t/control,network_test_base.py: Drop deprecated ISC dhclient

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 22 Jan 2025 12:54:42 +0100

network-manager (1.50.0-1ubuntu2) plucky; urgency=medium

  * Rebuild with the new ppp version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Nov 2024 23:07:08 +0100

network-manager (1.50.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable (LP: #2087981). Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 12 Nov 2024 15:34:49 +0100

network-manager (1.50.0-1) unstable; urgency=medium

  * New upstream version 1.50.0
  * Bump 1.49.90 symbol versions to 1.50.0 for the final release

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Oct 2024 22:33:16 +0200

network-manager (1.49.91-1) unstable; urgency=medium

  * New upstream version 1.49.91 (1.50 rc2)
  * Demote polkitd and udev to Recommends

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Sep 2024 18:20:33 +0200

network-manager (1.49.90-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Sep 2024 18:03:55 +0200

network-manager (1.49.90-1) experimental; urgency=medium

  * New upstream version 1.49.90 (1.50 rc1)
  * Rebase patches
  * Update symbols file for libnm0
  * Stop enabling support for dhclient.
    This feature has been marked deprecated and is scheduled to be removed
    in a future release.
  * Update Homepage URL (Closes: #1080304)
  * Update README.Debian (Closes: #864339)

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Sep 2024 19:56:26 +0200

network-manager (1.48.10-1) unstable; urgency=medium

  * New upstream version 1.48.10

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Aug 2024 16:35:44 +0200

network-manager (1.48.8-1ubuntu3) oracular; urgency=medium

  * d/control: Avoid calling into half installed/upgraded Netplan (LP: #2033259)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 12 Sep 2024 18:01:03 +0200

network-manager (1.48.8-1ubuntu2) oracular; urgency=medium

  * Update netplan test, fixup one master->controller change

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Aug 2024 15:58:54 +0200

network-manager (1.48.8-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:07:09 +0200

network-manager (1.48.8-1) unstable; urgency=medium

  * New upstream version 1.48.8
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Aug 2024 20:53:23 +0200

network-manager (1.48.6-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 10:54:25 +0200

network-manager (1.48.6-1) unstable; urgency=medium

  * New upstream version 1.48.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Jul 2024 15:21:36 +0200

network-manager (1.48.4-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 13:11:44 +0200

network-manager (1.48.4-1) unstable; urgency=medium

  * New upstream version 1.48.4
  * Enable standard Salsa CI

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Jul 2024 19:10:23 +0200

network-manager (1.48.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2024 11:25:31 +0200

network-manager (1.48.2-1) unstable; urgency=medium

  * New upstream version 1.48.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 24 Jun 2024 15:02:02 +0200

network-manager (1.48.0-1ubuntu3) oracular; urgency=medium

  * Add changes from Lukas Märdian of never uploaded 1.46.0-1ubuntu2 version:
    - d/p/netplan: Refresh buildsystem patch for config.h.meson compat

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jun 2024 12:55:37 +0200

network-manager (1.48.0-1ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jun 2024 10:21:12 +0200

network-manager (1.48.0-1) unstable; urgency=medium

  * New upstream version 1.48.0
  * Drop automake Build-Depends, no longer needed after the switch to Meson
  * Bump 1.47.90 symbol versions to 1.48.0 for the final release

 -- Michael Biebl <biebl@debian.org>  Fri, 31 May 2024 23:20:43 +0200

network-manager (1.47.91-1) unstable; urgency=medium

  * New upstream version 1.47.91 (1.48 rc2)
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Fri, 17 May 2024 12:58:33 +0200

network-manager (1.47.90-2) experimental; urgency=medium

  * Switch to Meson as build system
  * Add libdbus-1-dev to Build-Depends.
    Required for getting datadir, interfaces_dir and
    system_bus_services_dir.
  * Add libpolkit-gobject-1-dev to Build-Depends.
    Required for getting policydir.
  * Add mobile-broadband-provider-info to Build-Depends.
    Required for getting database path.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 May 2024 22:22:41 +0200

network-manager (1.47.90-1) experimental; urgency=medium

  * New upstream version 1.47.90 (1.48 rc1)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 05 May 2024 00:18:50 +0200

network-manager (1.46.0-2) unstable; urgency=medium

  * Drop alternative Depends on obsolete policykit-1 package.
    It is no longer needed for backports as stable has a version of polkitd
    now. (Closes: #1069636)
  * Bump Standards-Version to 4.7.0
  * Add explicit Build-Depends on gir1.2-gio-2.0-dev
  * Drop Build-Depends on libgirepository1.0-dev.
    No longer necessary with the gir1.2-gio-2.0-dev build dependency and a
    recent enough gobject-introspection.
  * Add ${gir:Depends}, ${gir:Provides} to libnm-dev

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Apr 2024 19:26:12 +0200

network-manager (1.46.0-1ubuntu2) noble; urgency=medium

  * debian/tests/control: add Depends: python3-gi for nm_netplan.py
    (LP: #2060221)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 04 Apr 2024 15:11:48 -0400

network-manager (1.46.0-1ubuntu1) noble; urgency=medium

  * Update to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2024 11:39:10 +0200

network-manager (1.46.0-1) unstable; urgency=medium

  * New upstream version 1.46.0
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Feb 2024 17:35:02 +0100

network-manager (1.45.91-1) experimental; urgency=medium

  * New upstream version 1.45.91 (1.46 rc2)
  * Rebase patches
  * Update symbols file for libnm0
  * Switch Build-Depends on obsolete pkg-config to pkgconf

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Feb 2024 22:39:30 +0100

network-manager (1.45.90-1ubuntu1) noble; urgency=medium

  * Merge with Debian.
  * debian/patches/git_valid_gkeyfile.patch:
    - cherrypick an upstream change to fix a test issue with glib 2.79

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Feb 2024 16:17:33 +0100

network-manager (1.45.90-1) experimental; urgency=medium

  * New upstream version 1.45.90 (1.46 rc1)
  * Bump Build-Depends on libglib2.0-dev to (>= 2.42)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Jan 2024 10:32:43 +0100

network-manager (1.44.2-7ubuntu2) noble; urgency=medium

  * debian/tests: Clearly mark regular expressions, to avoid SyntaxWarning.
    This fixes autopkgtests on Python3.12, failing due to stderr output.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 12 Feb 2024 15:08:34 +0100

network-manager (1.44.2-7ubuntu1) noble; urgency=medium

  * Merge with Debian.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 09:08:35 -0500

network-manager (1.44.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Explicitly build-depend on gir1.2-girepository-2.0.
    This is currently a virtual package provided by gir1.2-glib-2.0, but it
    will need to be split into a separate package during the
    GNOME 46/GLib 2.79.x cycle.
    Making this dependency explicit will also help to keep track of which
    packages will need coordination when PyGI switches from GIRepository 2.0
    to GIRepository 3.0, which again is likely to happen during the GNOME 46
    cycle. (Closes: #1059623)

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Dec 2023 19:38:14 +0100

network-manager (1.44.2-6) unstable; urgency=medium

  * Revert "Add versioned Breaks against isc-dhcp-client"
    Having a Breaks against isc-dhcp-client can lead to unwanted package
    removals by apt. As the default dhcp backend in network-manager has been
    switched from dhclient to internal, the Breaks is not strictly necessary.
    Users that have explicitly configured "dhcp=dhclient" are advised to
    switch to the internal option (recommended) or temporarily disable the
    sbin.dhclient AppArmor profile shipped by isc-dhcp-client until #1055067
    is fixed. (Closes: #1056638)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 07:45:49 +0100

network-manager (1.44.2-5) unstable; urgency=medium

  * Replace systemd Build-Depends with systemd-dev.
    Only systemd.pc is required during build which is now shipped in
    systemd-dev.
  * Add versioned Breaks against isc-dhcp-client.
    The AppArmor policy in isc-dhcp-client needs to be updated to account
    for the move of the nm-dhcp-helper binary to /usr/libexec.
    (Closes: #1056313)

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:02:41 +0100

network-manager (1.44.2-4) unstable; urgency=medium

  * Fix typo in latest NEWS entry
  * Ship /etc/NetworkManager/VPN directory in network-manager package.
    This will make an eventual cleanup easier once all VPN plugin packages
    have moved their .name files to /usr/lib/NetworkManager/VPN.
  * core: propagate the user-requested reason for act-request disconnection.
    This avoids that deactivating a Wireguard VPN connection triggers an
    error notification.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Nov 2023 20:57:16 +0100

network-manager (1.44.2-3) unstable; urgency=medium

  * Move systemd services files and udev rules to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.
  * Install helper binaries into /usr/libexec (Closes: #1026388)

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Oct 2023 16:35:24 +0200

network-manager (1.44.2-2) unstable; urgency=medium

  * Stop executing ifupdown hook scripts on network state changes.
    Many of those script are not meant to be run within a NetworkManager
    context. Packages that would benefit from reacting on such network state
    changes should install a native NetworkManager-dispatcher script.
    The interface is documented in more detail in the
    NetworkManager-dispatcher(8) man page.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Oct 2023 14:24:23 +0200

network-manager (1.44.2-1ubuntu2) noble; urgency=medium

  [ Lukas Märdian ]
  * network-manager.postinst: Skip unknown connection profiles (LP: #2039503)
  * d/network-manager.postinst: Drop reboot notification (LP: #2040292)

  [ Danilo Egea Gondolfo ]
  * debian/tests/nm_netplan.py
    Start Network Manager via systemd. The .service unit file sets
    ProtectSystem to true and we want to run the Netplan tests with this
    restriction enabled.
  * d/p/netplan/0003-Allow-the-NetworkManager-daemon-to-write-to-lib-netp.patch
    Allow-list /usr/lib/netplan so libnetplan can open files from that
    directory with writing permission. See LP: #2040153
  * debian/tests/control
    Add all the dependencies required by the nm_netplan.py tests.
  * debian/tests/network_test_base.py.
    Increase the waiting time between creating a veth pair and reading their
    MAC addresses. On arm64, the system is taking longer to change the MAC
    after creation, leading to failures due to differences in the expected
    and current MAC addresses. See LP: #2023183

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 26 Oct 2023 11:48:18 +0200

network-manager (1.44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038439)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 09:40:22 -0400

network-manager (1.44.2-1) unstable; urgency=medium

  * New upstream version 1.44.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Oct 2023 12:09:39 +0200

network-manager (1.44.0-1ubuntu2) mantic; urgency=medium

  * d/t/{nm.py,nm_netplan.py,network_test_base.py} (LP: #2033391):
    - Wait until NM is ready before starting tests
    - Add a delay loop checking if NM is already on-line before running each
      test.
  * d/t/nm.py: remove expectedFailure from both tests in Hotplug.
    - It's not clear why they were expected to fail. With NM 1.44.0 they are passing.
    - As this class states that the APs are set up with NM already running, in
      test_auto_detect_ap() self.start_nm() was moved to run before
      self.setup_ap() and the assert was fixed to get the actual gobject data.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 30 Aug 2023 10:09:50 +0100

network-manager (1.44.0-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version
    - Patches refreshed
  * Remove erroneous symbol added in 1.42.8-1

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 10 Aug 2023 15:40:38 +0200

network-manager (1.44.0-1) unstable; urgency=medium

  * New upstream version 1.44.0
  * Explicitly set the modprobe path during configure
  * Update symbols file for libnm0
  * Rebase patches
  * Remove obsolete maintscript code

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Aug 2023 22:22:22 +0200

network-manager (1.42.8-1ubuntu1) UNRELEASED; urgency=medium

  * Resynchronize on Debian to the current stable version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 09 Aug 2023 16:08:26 +0200

network-manager (1.42.8-1) unstable; urgency=medium

  * New upstream version 1.42.8

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Jun 2023 15:22:30 +0200

network-manager (1.42.6-2ubuntu2) mantic; urgency=medium

  * Remove isc-dhcp-client from Depends
    Unless explicitly configured otherwise the internal DHCP client is used.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 18 Jul 2023 10:51:11 +0200

network-manager (1.42.6-2ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 12:26:23 +0200

network-manager (1.42.6-2) unstable; urgency=medium

  * Stop installing deprecated polkit pkla file.
    The pkla backend has been superseded by the JS based backend.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Jun 2023 23:08:24 +0200

network-manager (1.42.6-1) unstable; urgency=medium

  * New upstream version 1.42.6
  * Rebase patches
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its.
    The obsolete policykit-1 package is going away. (Closes: #1025606)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Jun 2023 14:48:14 +0200

network-manager (1.42.4-1ubuntu7) mantic; urgency=medium

  [ Michael Biebl ]
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its
    (Closes: #1025606)

  [ Danilo Egea Gondolfo ]
  * d/t/control: Add easy-rsa as a test dependency
  * d/t/nm.py: generalize Wifi auth configuration.
    The idea is to make is easier to implement tests using different
    authentication methods.
  * d/t/nm.py: implement WPA-EAP 802.1x tests.
    These tests are related to an issue in Netplan but they are also useful
    for network-manager itself. See LP#2016625
  * d/t/nm_netplan.py: add new test cases for ip-tunnel and wireguard
    connections, using Netplan integration. See LP#2016473

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 20 Jun 2023 12:07:12 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog network-manager-l10n`.
